Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 527231 - Review Request: couchdb-glib - A glib api to access CouchDB servers
Summary: Review Request: couchdb-glib - A glib api to access CouchDB servers
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 527245
TreeView+ depends on / blocked
 
Reported: 2009-10-05 13:44 UTC by Peter Robinson
Modified: 2009-10-08 06:27 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-08 06:27:09 UTC
Type: ---
lemenkov: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Peter Robinson 2009-10-05 13:44:46 UTC
SPEC: http://pbrobinson.fedorapeople.org/couchdb-glib.spec
SRPM: http://pbrobinson.fedorapeople.org/couchdb-glib-0.5.0-1.fc12.src.rpm

Description:
CouchDB-GLib is a GLib-based API to access CouchDB servers
(http://couchdb.apache.org), a replication/synchronization 
schema-free database of JSON documents, used in online services 
like Midgard.

Comment 1 Peter Robinson 2009-10-05 13:53:36 UTC
koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1727893

Comment 2 Peter Lemenkov 2009-10-05 16:21:01 UTC
I'll review it.

Comment 3 Peter Lemenkov 2009-10-07 10:09:04 UTC
REVIEW:

+ rpmlint is silent

[petro@Sulaco SPECS]$ rpmlint ~/fuse/sshfs/work/Desktop/couchdb-glib-*
couchdb-glib-devel.ppc: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 1 warnings.
[petro@Sulaco SPECS]$

+ The package is named according to the  Package Naming Guidelines .
+ The spec file name matches the base package %{name}, in the format %{name}.spec .
+ The package meets the Packaging Guidelines .
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines .
+ The License field in the package spec file matches the actual license.
+ The file, containing the text of the license(s) for the package, is included in %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package matches the upstream source, as provided in the spec URL. 

ftp://ftp.gnome.org/pub/gnome/sources/couchdb-glib/0.5/couchdb-glib-0.5.0.sha256sum

0e04edd440706f031b952011b8a12f99d9a13b356f2a2abf778ada786e4540ae  couchdb-glib-0.5.0.tar.bz2

+ The package successfully compiles and builds into binary rpms on at least one primary architecture (see koji logs above).
+ All build dependencies are listed in BuildRequires.
+ The package calls ldconfig in %post and %postun.
+ The package does NOT bundle copies of system libraries.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
+ The package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ The package consistently uses macros.
+ The package contains code, or permissible content.
+ Everything, a package includes as %doc, does not affect the runtime of the application.
+ Header files are in a -devel package.
+ Since the package contains pkgconfig(.pc) files, it 'Requires: pkgconfig'.
+ A library files that ends in .so (without suffix) are in a -devel package.
+ The devel sub-package requires the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release} 
+ The package does NOT contain any .la libtool archives.
+ The package does not own files or directories already owned by other packages.
+ At the beginning of %install, the package runs rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ All filenames in rpm packages must be valid UTF-8.


BTW ver. 0.5.1 is out, while you packaged 0.5.0.

Comment 4 Peter Robinson 2009-10-07 10:49:11 UTC
(In reply to comment #3)

> BTW ver. 0.5.1 is out, while you packaged 0.5.0.  

I was aware of 0.5.1 being out but the first time I tried to build it it looked there was a requirement of a new json. But it seems when I try now its not the case so I must have missed something. Updated:

SPEC: http://pbrobinson.fedorapeople.org/couchdb-glib.spec
SRPM: http://pbrobinson.fedorapeople.org/couchdb-glib-0.5.1-1.fc12.src.rpm
koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=1732705

Is there anything else outstanding?

Comment 5 Peter Lemenkov 2009-10-07 11:09:30 UTC
I just checked - it seems, that this package is only for F-12+

http://koji.fedoraproject.org/koji/taskinfo?taskID=1732761
http://koji.fedoraproject.org/koji/taskinfo?taskID=1732743

As for F-10 - it will be EOLed soon.

Anyway, keep this in mind when you'll request cvs branches.

From ftp://ftp.gnome.org/pub/gnome/sources/couchdb-glib/0.5/couchdb-glib-0.5.1.sha256sum :

8112eded52aa706963e139b771a3d336da64176d08dbf1cc45fe983459e784d6  couchdb-glib-0.5.1.tar.bz2

[petro@Sulaco SOURCES]$ sha256sum couchdb-glib-0.5.1.tar.bz2 
8112eded52aa706963e139b771a3d336da64176d08dbf1cc45fe983459e784d6  couchdb-glib-0.5.1.tar.bz2
[petro@Sulaco SOURCES]$

sha256sums matches and no other changes, so this package is 

APPROVED.

Comment 6 Peter Robinson 2009-10-07 11:41:05 UTC
Thanks. It actually does build on F-11 (I think possibly F-10 too but wasn't planning on doing so) but the libuuid dep requirement is actually contained in e2fsprogs-devel so that's a know issue but easily fixed :-)

Comment 7 Peter Robinson 2009-10-07 11:42:09 UTC
New Package CVS Request
=======================
Package Name: couchdb-glib
Short Description: A glib api to access CouchDB servers
Owners: pbrobinson
Branches: F-12 F-11
InitialCC:

Comment 8 Kevin Fenzi 2009-10-08 06:01:25 UTC
cvs done.

Comment 9 Peter Robinson 2009-10-08 06:27:09 UTC
Imported and built in F-13 rawhide. F-12 on its way.


Note You need to log in before you can comment on or make changes to this bug.